#main-wrapper {
  width: 100%;
  overflow: hidden;

  .topbar {
    position: fixed;
    width: 100%;
    background: $skin6;

    .navbar-collapse {
      background: $skin6;
    }

    .top-navbar {
      .navbar-header {
        background: $skin1;
        transition: 0.2s ease-in;
        position: fixed;
        z-index: 10;
      }
    }
  }

  .left-sidebar {
    position: fixed;
    background: $skin5;
  }

  .page-wrapper {
    padding-top: $topbar-height;
    margin-left: $sidebar-width-full;
  }
}

.page-wrapper {
  background: $body-bg;
  position: relative;
  transition: 0.2s ease-in;

  .container-fluid {
    padding: 20px;
    //min-height: calc(100vh - 180px);
    min-height: calc(100vh - 112px);
  }
}

.footer {
  padding: 15px 20px;
}

/*******************
 Sticky inner-left-part
*******************/

$left-part-width: 260px;
.left-part {
  height: 100%;
  width: $left-part-width;
  position: absolute;
  border-right: 1px solid $border-color;

  &.fixed-left-part {
    position: fixed;
    top: 0px;
    padding-top: 10px;
  }

  .show-left-part {
    position: absolute;
    top: 45%;
    right: -41px;
  }
}

.right-part {
  width: calc(100% - 260px);
  min-height: calc(100vh - 64px);
  overflow: auto;
  margin-left: $left-part-width;
}

.reverse-mode {
  .left-part {
    right: 0;
    border-left: 1px solid $border-color;
  }

  .show-left-part {
    right: auto;
    left: -41px;
  }

  .right-part {
    margin-left: 0;
    margin-right: $left-part-width;
  }
}

@include media-breakpoint-up(md) {
  #main-wrapper {
    .topbar {
      .top-navbar {
        .navbar-header {
          width: $sidebar-width-full;
        }

        .navbar-collapse {
          margin-left: $sidebar-width-full;
        }
      }
    }
  }
}

@media(max-width: 766px) {
  #main-wrapper {
    &.show-sidebar {
      .left-sidebar {
        left: 0;
      }
    }

    .page-wrapper {
      margin-left: 0;
    }

    .left-sidebar {
      left: -250px;
    }

    .topbar {
      .top-navbar {
        .navbar-collapse {
          position: relative;
          top: $topbar-height;
        }
      }
    }
  }

  .left-part {
    left: -$left-part-width;
    background: $body-bg;
    z-index: 1;
    position: fixed;
    transition: 0.1s ease-in;

    &.show-panel {
      left: 0;
    }
  }

  .reverse-mode .left-part {
    right: -$left-part-width;
    left: auto;

    &.show-panel {
      right: 0;
    }
  }

  .right-part {
    width: 100%;
    margin-left: 0;
  }
}
